# AndroidSQLStandardVersionsRepoProxy

class AndroidSQLStandardVersionsRepoProxy (val database: SQLiteOpenHelper ) : StandardVersionsRepoProxy < SQLiteOpenHelper > (source)

## Constructors

AndroidSQLStandardVersionsRepoProxy
Link copied to clipboard
constructor(database: SQLiteOpenHelper )

## Properties

database
Link copied to clipboard
open override val database : SQLiteOpenHelper

## Functions

getTableVersion
Link copied to clipboard
open suspend override fun getTableVersion (tableName: String ): Int ?
updateTableVersion
Link copied to clipboard
open suspend override fun updateTableVersion (tableName: String , version: Int )